# List human review tasks assigned to the current user

## cURL

```bash
curl --request GET \
  --url 'https://flows.super.ai/api/human-review-tasks?limit=100' \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Key: <api-key>'
```

## Python

```python
import requests

url = "https://flows.super.ai/api/human-review-tasks?limit=100"

headers = {
    "X-API-Key": "<api-key>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

## JavaScript (Fetch)

```javascript
const options = {
  method: 'GET',
  headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://flows.super.ai/api/human-review-tasks?limit=100', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

## PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://flows.super.ai/api/human-review-tasks?limit=100",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

## Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://flows.super.ai/api/human-review-tasks?limit=100"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

## Unirest (Java)

```java
HttpResponse<String> response = Unirest.get("https://flows.super.ai/api/human-review-tasks?limit=100")
  .header("X-API-Key", "<api-key>")
  .header("Authorization", "Bearer <token>")
  .asString();
```

## Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://flows.super.ai/api/human-review-tasks?limit=100")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Example Response Structure

```json
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "flow_execution_id": "550e8400-e29b-41d4-a716-446655440000",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "modified_by": "<string>",
    "organization_id": "550e8400-e29b-41d4-a716-446655440000",
    "source_task_execution_idx": 0,
    "source_task_name": "process_document",
    "status": "pending",
    "target_task_execution_idx": 0,
    "target_task_name": "receive_file",
    "updated_at": "2023-11-07T05:31:56Z",
    "completed_at": "2024-01-01T00:00:00Z",
    "completed_by": "550e8400-e29b-41d4-a716-446655440000",
    "instructions": "Please review the document and verify all dates are correct.",
    "review_result": true,
    "reviewed_output": {
      "comments": "All dates are correct.",
      "verified": true
    },
    "task_metadata": {
      "priority": "high",
      "source": "api"
    }
  }
]
```

### Authorizations

**X-API-Key**: Required
```plaintext
X-API-Key: YOUR_API_KEY
```

**Authorization**: Required
```plaintext
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Query Parameters
- **offset**: integer, default 0. Number of records to skip for pagination. Required range: `x >= 0`
- **limit**: integer, default 100. Maximum number of records to return. Required range: `1 <= x <= 1000`
- **status**: string | null. Filter tasks by status(es). Valid values: 'pending', 'in_progress', 'completed'. Multiple statuses can be provided as comma-separated values (e.g., 'pending,in_progress').
- **target_task_name**: string | null. Filter tasks by target task name.
- **source_task_name**: string | null. Filter tasks by source task name.
- **flow_execution_id**: string<uuid> | null. Filter tasks by flow execution ID.

### Response

**200 application/json**: List of human review tasks retrieved successfully.
